Name:		bleachbit
Version:	4.4.2
Release:    2%{?dist}
Summary:	Remove sensitive data and free up disk space

License:	GPLv3+
URL:		https://www.bleachbit.org/
Source0:	https://github.com/bleachbit/bleachbit/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:		no_update.patch
Patch1:		disable_policykit.patch

BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libappstream-glib
BuildRequires:	make
BuildRequires:	python3-devel

Requires:	gtk3
Requires:	python3-chardet
Requires:	python3-gobject


%description
Delete traces of your computer activity and other junk files to free
disk space and maintain privacy.

With BleachBit, you can free cache, delete cookies, clear Internet
history, shred temporary files, delete logs, and discard junk you didn't
know was there. Designed for Linux and Windows systems, it wipes clean
thousands of applications including Firefox, Internet Explorer, Adobe
Flash, Google Chrome, Opera, Safari, and many more. Beyond simply
deleting files, BleachBit includes advanced features such as shredding
files to prevent recovery, wiping free disk space to hide traces of
files deleted by other applications, and cleaning Web browser profiles
to make them run faster.


%prep
%autosetup -p1

sed 's/online_update_notification_enabled = True/online_update_notification_enabled = False/g'  --in-place ./bleachbit/__init__.py
find ./bleachbit/  -type f  -iname '*.py'  -exec sed --regexp-extended '1s|^#! ?/.+$||g' --in-place '{}' +
find ./  -type f  -iname '*.py'  -exec sed --regexp-extended '1s|^#! ?/usr/bin/env python3?$|#!%{_bindir}/python3|g' --in-place '{}' +
find ./  -type f  -iname '*.py'  -exec sed --regexp-extended '1s|^#! ?/usr/bin/python[[:digit:][:punct:]]*$|#!%{_bindir}/python3|g' --in-place '{}' +

sed -i -e "s|SafeConfigParser|ConfigParser|" bleachbit/__init__.py

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel

make -C po local
%make_build delete_windows_files


%install
%make_install prefix=%{_prefix}
make -C po prefix=%{_prefix} INSTALL="%{_bindir}/install -Dp"

desktop-file-install --dir=%{buildroot}/%{_datadir}/applications/ org.bleachbit.BleachBit.desktop
install -Dp org.bleachbit.BleachBit.metainfo.xml %{buildroot}/%{_metainfodir}/

%find_lang %{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.bleachbit.BleachBit.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/org.bleachbit.BleachBit.metainfo.xml


%files -f %{name}.lang
%doc README* doc
%license COPYING
%{_bindir}/bleachbit
%{_datadir}/applications/org.bleachbit.BleachBit.desktop
%{_datadir}/bleachbit
%{_datadir}/pixmaps/bleachbit.png
%{_metainfodir}/org.bleachbit.BleachBit.metainfo.xml


%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.2-2
- rebase to add ocs and ts macros

* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.2-1
- initial build
